---
updatedAt: 2026-08-17T14:37:11.000Z
agentTools:
  projectIndex: https://docs.noves.fi/llms.txt
---

# /{chain}/transfers/{party}/stats

Returns transfer statistics for a party: total count, sent/received counts, total volume sent/received, and unique counterparty count.
            
If both <i>startTimestamp</i> and <i>endTimestamp</i> are omitted, the transfer stats cover the trailing 30 days.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Canton API",
    "description": "Query public and private Canton updates, balances, prices, rewards, verdicts, and Featured App activity. Create stream subscriptions and alerts for ongoing delivery.",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://api.canton.noves.fi/"
    }
  ],
  "paths": {
    "/{chain}/transfers/{party}/stats": {
      "get": {
        "tags": [
          "Transfers"
        ],
        "summary": "/{chain}/transfers/{party}/stats",
        "description": "Returns transfer statistics for a party: total count, sent/received counts, total volume sent/received, and unique counterparty count.\r\n            \r\nIf both <i>startTimestamp</i> and <i>endTimestamp</i> are omitted, the transfer stats cover the trailing 30 days.",
        "parameters": [
          {
            "name": "chain",
            "in": "path",
            "description": "Canton chain name. Use a name returned by `GET /chains`.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "canton",
              "example": "canton"
            }
          },
          {
            "name": "party",
            "in": "path",
            "description": "Full Canton party ID whose transfer statistics are requested.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "noves-validator-1::1220dd5cc6e969cd7d7c11e339fbd07fab5f6fa1f999dc09339228d17299d9d68941",
              "example": "noves-validator-1::1220dd5cc6e969cd7d7c11e339fbd07fab5f6fa1f999dc09339228d17299d9d68941"
            }
          },
          {
            "name": "startTimestamp",
            "in": "query",
            "description": "Start of the requested time window, as Unix seconds. Optional.",
            "style": "form",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "endTimestamp",
            "in": "query",
            "description": "End of the requested time window, as Unix seconds. Optional.",
            "style": "form",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "apiKey",
            "in": "header",
            "description": "API Key for Canton API. To generate an API Key, visit https://app.noves.fi",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "demokey"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TransferStatsResponseDto"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      },
      "TransferStatsResponseDto": {
        "type": "object",
        "properties": {
          "party": {
            "type": "string",
            "description": "Full Canton party ID.",
            "nullable": true
          },
          "totalCount": {
            "type": "integer",
            "description": "Total number of transfers involving the party.",
            "format": "int64"
          },
          "sentCount": {
            "type": "integer",
            "description": "Number of transfers sent by the party.",
            "format": "int64"
          },
          "receivedCount": {
            "type": "integer",
            "description": "Number of transfers received by the party.",
            "format": "int64"
          },
          "totalVolumeSent": {
            "type": "string",
            "description": "Total Canton Coin sent, as a decimal string.",
            "nullable": true
          },
          "totalVolumeReceived": {
            "type": "string",
            "description": "Total Canton Coin received, as a decimal string.",
            "nullable": true
          },
          "uniqueCounterparties": {
            "type": "integer",
            "description": "Number of distinct counterparties.",
            "format": "int64"
          }
        },
        "additionalProperties": false,
        "description": "Canton Coin transfer statistics for a party."
      }
    }
  }
}
```